!======================================================================!
!                                                                      !
!    Software Name : FrontCOMP_cure   Ver. 3.1                         !
!                                                                      !
!      Module Name : m_heat_make_RESULT                                !
!      Category    : Heat Analysis                                     !
!                                                                      !
!      Developed based on "FrontSTR" of RSS21 project                  !
!                                                                      !
!                     Written by Yasuji Fukahori,    2006/06/01        !
!                                Tomotaka Ogasawara, 2013/03/26        !
!                                                                      !
!     Contact address :  IIS,The University of Tokyo, CISS             !
!                                                                      !
!    "Composite Material Strength & Reliability Evaluation Simulator"  !
!                                                                      !
!======================================================================!

module m_heat_make_RESULT
   contains
!C***
!C***  MAKE RESULT
!C***
   subroutine heat_make_RESULT( hecMESH, fstrHEAT, fstrRESULT )

      use m_fstr

      implicit none
      integer(kind=kint) i
      type (fstr_heat          ) :: fstrHEAT
      type (hecmwST_local_mesh ) :: hecMESH
      type (hecmwST_result_data) :: fstrRESULT
!C*** 

      do i= 1, hecMESH%n_node

        fstrRESULT%node_val_item(2*(i-1)+1  )=fstrHEAT%TEMP(1*(i-1)+1)
!!      fstrRESULT%node_val_item(2*(i-1)+1+1)=fstrHEAT%CURE3D_nod(1*(i-1)+1)
        fstrRESULT%node_val_item(2*(i-1)+1+1)=fstrHEAT%CURE3D_nod_cfrp(1*(i-1)+1)
      enddo

   end subroutine heat_make_RESULT
end module m_heat_make_RESULT
